Sign inGet started

List allow/block rules

GET
/workspaces/{workspaceId}/conversation-allowblock-rules
List allow/block rules. This will return a maximum of 100 rules per page, with 10 as default. You can use the limit and pageToken query parameters to paginate the results. Learn more about pagination in the Common API Usage pagination section.
Queryparameters
limit
integer
pageToken
string
reverse
boolean
type
string
Allow/Block type
Possible values: allow, reject, suspend
category
string
Allow/Block category
Possible values: all, domain, domain_suffix, email
value
string
Allow/Block value
Antwoord-payload
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
verplicht
Onderliggende attributen tonen
results.category
string
verplicht
The category of the AllowBlockRule.
Possible values: all, domain, domain_suffix, email
results.createdAt
string
verplicht
results.createdBy
string
verplicht
results.id
string
verplicht
results.type
string
verplicht
The type of the AllowBlockRule.
Possible values: allow, reject, suspend
results.updatedAt
string
verplicht
results.updatedBy
string
verplicht
results.value
string
verplicht
results.workspaceId
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/conversation-allowblock-rules' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Codevoorbeeld
curl "https://api.bird.com/workspaces/e58899bf-1e8d-4ff7-b9db-a60befaf90d2/conversation-allowblock-rules" \
-H "Authorization: AccessKey abcd"
Note: if there are more than 10 allow/block rules, the results may be paginated. Please refer to Pagination on how to use nextPageToken.